Subject: Re: linux-next: build failure after merge of the sound-asoc tree

From: Takashi Iwai <[email-masked]>
Date: Fri, 08 Feb 2019 09:39:39 +0100

On Fri, 08 Feb 2019 08:37:25 +0100,
Takashi Iwai wrote:
> 
> On Fri, 08 Feb 2019 03:18:23 +0100,
> Stephen Rothwell wrote:
> > 
> > Hi all,
> > 
> > After merging the sound-asoc tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > sound/soc/xilinx/xlnx_formatter_pcm.c: In function 'xlnx_formatter_pcm_new':
> > sound/soc/xilinx/xlnx_formatter_pcm.c:539:9: error: void value not ignored as it ought to be
> >   return snd_pcm_lib_preallocate_pages_for_all(rtd->pcm,
> >          ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >     SNDRV_DMA_TYPE_DEV, component->dev,
> >     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >     xlnx_pcm_hardware.buffer_bytes_max,
> >     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> >     xlnx_pcm_hardware.buffer_bytes_max);
> >     ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > sound/soc/xilinx/xlnx_formatter_pcm.c:543:1: warning: control reaches end of non-void function [-Wreturn-type]
> >  }
> >  ^
> > 
> > Caused by commit
> > 
> >   6f6c3c36f091 ("ASoC: xlnx: add pcm formatter platform driver")
> > 
> > interacting with commit
> > 
> >   9adb5165f1de ("ALSA: pcm: Define snd_pcm_lib_preallocate_*() as returning void")
> > 
> > from the sound tree.
> > 
> > I have applied the following merge fix patch for today:
> > 
> > From: Stephen Rothwell <[email-masked]>
> > Date: Fri, 8 Feb 2019 13:14:24 +1100
> > Subject: [PATCH] Asoc: xlnx: fix up for snd_pcm_lib_preallocate_pages_for_all() API change
> > 
> > Signed-off-by: Stephen Rothwell <[email-masked]>
> > ---
> >  sound/soc/xilinx/xlnx_formatter_pcm.c | 3 ++-
> >  1 file changed, 2 insertions(+), 1 deletion(-)
> > 
> > diff --git a/sound/soc/xilinx/xlnx_formatter_pcm.c b/sound/soc/xilinx/xlnx_formatter_pcm.c
> > index 97177d35652e..dc8721f4f56b 100644
> > --- a/sound/soc/xilinx/xlnx_formatter_pcm.c
> > +++ b/sound/soc/xilinx/xlnx_formatter_pcm.c
> > @@ -536,10 +536,11 @@ static int xlnx_formatter_pcm_new(struct snd_soc_pcm_runtime *rtd)
> >  {
> >  	struct snd_soc_component *component = snd_soc_rtdcom_lookup(rtd,
> >  								    DRV_NAME);
> > -	return snd_pcm_lib_preallocate_pages_for_all(rtd->pcm,
> > +	snd_pcm_lib_preallocate_pages_for_all(rtd->pcm,
> >  			SNDRV_DMA_TYPE_DEV, component->dev,
> >  			xlnx_pcm_hardware.buffer_bytes_max,
> >  			xlnx_pcm_hardware.buffer_bytes_max);
> > +	return 0;
> >  }
> >  
> >  static const struct snd_pcm_ops xlnx_formatter_pcm_ops = {
> > -- 
> > 2.20.1
> 
> Thanks Stephen.
> 
> Mark, could you apply it on your tree?

And I already took back the API change from for-next branch for
avoiding the bisection breakage.

> Or let me pull your tree into mine.

... so Mark, please send a pull request to me for ASoC merges, so that
I can apply the API change.

thanks,

Takashi